<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Test Parallax - Lax</title>
  <style>
    body {
      /* padding-top: 45vh; */
      /* width: 100vh; */
      /* overflow-y:  hidden; */
      overflow-x: hidden;
      /* background-color: #000; */
      margin: 0;
      position: relative; 
      background-image: linear-gradient(0.25turn, #fff , #eccb0e);
    }

    .circle {
      text-align: center;
      direction: rtl;
      padding: 20px;
      /* margin-top: 30px;
      margin-left: 0px;
      margin-bottom: 40px; */
      position: fixed;
      /* font-size: 30px; */
      z-index: 1;
      /* transition: all .5s ease-in; */
    }

    .page2 {
      background-image: linear-gradient(0.25turn, #185c9b, #eccb0e );

      width: 100vw;
      height: 100vh;
      /* margin-left: -104vw; */
      padding: 20px;
      /* position: fixed; */
      margin-top: 0 !important;
      font-size: 30px;
      text-align: center;
      direction: rtl;


      position: fixed;
      left: -104vw;
      /* z-index: 0; */
    }

    .page3 {
      background-image: linear-gradient(0.25turn, #eccb0e , #fff,#185c9b);
      width: 100vw;
      height: 80vw;
      text-align: center;
      padding: 20px;
      font-size: 25px;
      direction: rtl;
      left: -103vw;
      position: fixed;
     
    }
  </style>
</head>

<body>

  <div class="circle">مدیتیشن مانند فشار دادن دکمه ریست برای ذهن
    شماست. </div>
  <div class="page2">صفحه دوم است ...</div>
  <div class="page3"> صفحه سوم : مدیتیشن چیز خیلی خفن و خوبی است ...</div>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br> <br>
  <!-- <div class="circle">Salam2</div>
  <div class="circle">Salam3</div>
  <div class="circle">Salam4</div>
  <div class="circle">Salam5</div>
  <div class="circle">Salam6</div>
  <div class="circle">Salam7</div>
  <div class="circle">Salam8</div>
  <div class="circle">Salam9</div>
  <div class="circle">Salam10</div> -->
  <!-- <div class="selector">Hello</div> -->
  <!-- <div class="selector">Salam</div> -->

  <script src="https://cdn.jsdelivr.net/npm/lax.js"></script>
  <script>
    window.onload = function () {
      lax.init()
      // Add a driver that we use to control our animations
      lax.addDriver('scrollY', function () {
        return window.scrollY
      })

      // Add animation bindings to elements
      lax.addElements('.circle', {
        scrollY: {
          translateX: [[0, "screenHeight/2", "screenHeight"], [0, "screenWidth/2+250", "screenWidth+500"]]
          // translateX: [[0, "elCenterX", "elOutX"], [0, "screenWidth/2+250", "screenWidth+500"]]
        }
      },
      {
        style:{
          "font-size":"40px",
          "transition": "all .9s ease-in"
        }
      });

      lax.addElements('.page2', {
        scrollY: {
          translateX: [[0, "screenHeight/2", "screenHeight"], [0, "screenWidth/2*1.5", "screenWidth*2+100"]]
        }
      });

      lax.addElements('.page3', {
        scrollY: {
          translateX: [[0, "screenHeight/2", "screenHeight"], [0, "screenWidth/2-800", "screenWidth-10"]]
        }
      });
    }
  </script>

</body>
</html>